<< musicBase | FOSSEE_Signal_Processing_Toolbox | nnls >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > ncauer

# ncauer

Analog prototype for Cauer filter (Cauer filter and elliptic filters are same).

### Syntax

    [Zz, Zp, Zg] = ncauer(Rp, Rs, n)

### Parameters

n:

  Filter Order

Rp:

  Peak-to-peak passband ripple in dB

Rs:

  Stopband attenuation in dB

### Description

It gives an analog prototype for Cauer filter of nth order, with a Peak-to-peak passband ripple of Rp dB and a stopband attenuation of Rs dB.

### Examples

    n = 1
    Rp = 2
    Rs = 3
    [Zz, Zp, Zg] = ncauer(Rp, Rs, n)

### See also

- ellipap — Produces a lowpass analog prototype elliptic filter.

Report an issue
<< musicBase | FOSSEE_Signal_Processing_Toolbox | nnls >>